## udunits 1.0

=== DESCRIPTION ===
Package: udunits
Title: interface to Unidata's routines to convert units
Maintainer: David Pierce <dpierce@ucsd.edu>
Version: 1.0
Author: David Pierce
Description: This package provides an R interface to the Unidata
  udunits library routines, which can convert quantities between various units.
  Units are indicated by human-readable strings, such as "m/s", "J",
  "kg", or "in".  Routines for converting any quantity in known units
  to other compatible units are provided.  Of particular use are the
  time and calendar conversion routines.  Calendar dates are given
  with units such as "days since 1900-01-01", for example.  Values with
  this unit can be converted to normal, readable calendar dates.  This
  will let you find that "32018 days since 1900-01-01" is actually
  31 Aug 1987.  These routines follow the library's C interface, so consult that
  section of Unidata's udunits manual for reference.  Here are some
  example formatted units strings that can be used: "10 kilogram.meters/seconds2",
  "10 kg-m/sec2", "10 kg m/s^2", "(PI radian)2", "degF", "degC", "100rpm",
  "geopotential meters", "33 feet water".  Note that the udunits library
  must already be installed on your machine for this package to work.
License: GPL version 2 or newer
URL: http://www.unidata.ucar.edu/packages/udunits/

## udunits 1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: udunits
 Title: interface to Unidata's routines to convert units
 Maintainer: David Pierce <dpierce@ucsd.edu>
-Version: 1.0
+Version: 1.2
 Author: David Pierce
 Description: This package provides an R interface to the Unidata
   udunits library routines, which can convert quantities between various units.
@@ -20,3 +20,4 @@
   must already be installed on your machine for this package to work.
 License: GPL version 2 or newer
 URL: http://www.unidata.ucar.edu/packages/udunits/
+Packaged: Wed May 18 10:23:12 2005; root

## udunits 1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: udunits
 Title: interface to Unidata's routines to convert units
 Maintainer: David Pierce <dpierce@ucsd.edu>
-Version: 1.2
+Version: 1.3
 Author: David Pierce
 Description: This package provides an R interface to the Unidata
   udunits library routines, which can convert quantities between various units.
@@ -18,6 +18,8 @@
   "10 kg-m/sec2", "10 kg m/s^2", "(PI radian)2", "degF", "degC", "100rpm",
   "geopotential meters", "33 feet water".  Note that the udunits library
   must already be installed on your machine for this package to work.
+  Change log: v1.3: added support for non-standard calendars in routine
+  'utCalendar'.
 License: GPL version 2 or newer
 URL: http://www.unidata.ucar.edu/packages/udunits/
-Packaged: Wed May 18 10:23:12 2005; root
+Packaged: Thu Sep 21 09:21:52 2006; root

## udunits 1.3.1

=== DESCRIPTION ===
Package: udunits
Title: interface to Unidata's routines to convert units
Maintainer: David Pierce <dpierce@ucsd.edu>
Version: 1.3.1
Author: David Pierce
Description: This package provides an R interface to the Unidata
        udunits library routines, which can convert quantities between
        various units. Units are indicated by human-readable strings,
        such as "m/s", "J", "kg", or "in".  Routines for converting any
        quantity in known units to other compatible units are provided.
        Of particular use are the time and calendar conversion
        routines.  Calendar dates are given with units such as "days
        since 1900-01-01", for example.  Values with this unit can be
        converted to normal, readable calendar dates.  This will let
        you find that "32018 days since 1900-01-01" is actually 31 Aug
        1987.  These routines follow the library's C interface, so
        consult that section of Unidata's udunits manual for reference.
        Here are some example formatted units strings that can be used:
        "10 kilogram.meters/seconds2", "10 kg-m/sec2", "10 kg m/s^2",
        "(PI radian)2", "degF", "degC", "100rpm", "geopotential
        meters", "33 feet water".  Note that the udunits library must
        already be installed on your machine for this package to work.
        Change log: v1.3: added support for non-standard calendars in
        routine 'utCalendar'.
License: GPL (>= 2)
URL: http://www.unidata.ucar.edu/packages/udunits/
Packaged: 2010-05-10 14:50:05 UTC; ripley
Repository: CRAN
Date/Publication: 2010-05-17 09:20:54

## udunits 2.1.8

=== debian/changelog ===
udunits (2.1.8-4) unstable; urgency=low

  * Move to source format 3.0
  * Remove built-in expat, instead use Debian library version. Closes: #560922.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Dec 2009 21:52:22 +0000

udunits (2.1.8-3) unstable; urgency=low

  * Add autoreconf, to ensure build works.
  * Add missing -dev documentation (pdf, info files). 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Nov 2009 17:34:17 +0000

udunits (2.1.8-2) unstable; urgency=low

  * FTBFS: automake,texlive needed in Build-Depends. Closes: #535653, #545259.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Sep 2009 21:49:03 +0100

udunits (2.1.8-1) unstable; urgency=low

  * New upstream release.
  * Add autoconf to Build-Depends: 
  * Add dpkg (>= 1.15.4) | install-info as required by policy. (Thanks Lintian). 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Sep 2009 14:15:15 +0100

udunits (2.1.7-1) unstable; urgency=low

  * Initial release. (Closes: #532430)
  * Changes since REJECTED:
   - Added necessary download location to  debian/copyright
   - Moved to Standards-Release 3.8.3.
   - Add DEB_AUTO_UPDATE_LIBTOOL to debian/rules to fix libtool version skew.
   - Add expat copyright tdebian/copyright. 
   - Add autoreconf, to cope with libtool changes in build environmnent.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Sep 2009 19:57:57 +0100

=== debian/control ===
Source: udunits
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: cdbs, debhelper (>> 7), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive
Standards-Version: 3.8.3
Homepage: http://www.unidata.ucar.edu/software/udunits/

Package: libudunits2-0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
Description: Library for handling of units of physical quantities
 The UDUNITS package supports units of physical quantities (e.g., meters, 
 seconds).  Specifically, it supports conversion between string and binary 
 representations of units, arithmetic manipulation of units, and conversion of 
 numeric values between compatible units. The package is written in the 
 C programming language.

Package: libudunits2-dev
Section: libdevel
Architecture: any
Depends: libudunits2-0 ( = ${binary:Version}), ${misc:Depends}
Recommends: pkg-config
Description: Development files for the libunits physical units package
 The UDUNITS package supports units of physical quantities (e.g., meters, 
 seconds).  Specifically, it supports conversion between string and binary 
 representations of units, arithmetic manipulation of units, and conversion of 
 numeric values between compatible units. The package is written in the 
 C programming language.
 .
 This package provides the include files and static libraries for development.

Package: udunits-bin
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
Description: Utility for handling units of physical quantities
 udunits is a utility  for handling units of physical quantities. It supports 
 conversion between string and binary representations of units,
 arithmetic manipulation of units, and conversion of numeric values between 
 compatible units. The package is written in the C programming language.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_MAKE_CHECK_TARGET := check
DEB_MAKE_CLEAN_TARGET := clean distclean maintainer-clean
DEB_INSTALL_CHANGELOGS_ALL := CHANGE_LOG
DEB_CONFIGURE_EXTRA_FLAGS := --datarootdir=/usr/share/xml
DEB_AUTO_UPDATE_LIBTOOL := pre


post-patches::
	libtoolize -c -f
	autoreconf -if

install/libudunits2-0::
	$(MAKE) pdf html info
	cp udunits2.info debian/libudunits2-0/usr/share/info

install/udunits-bin::
	cp prog/*info debian/udunits-bin/usr/share/info

## udunits 2.1.15

=== debian/changelog ===
udunits (2.1.15-4) unstable; urgency=low

  * Add patch from Stefan Tibus to fix typo in definition. Closes: #585848. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Jun 2010 19:53:50 +0100

udunits (2.1.15-3) unstable; urgency=low

  * Fix typo in static libs definition of udunits.pc. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Jun 2010 18:41:47 +0100

udunits (2.1.15-2) unstable; urgency=low

  * Add udunits.pc pkg-config file.  Used in cmor package among others.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 Jun 2010 21:09:26 +0100

udunits (2.1.15-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Jun 2010 20:18:44 +0100

udunits (2.1.14-1) unstable; urgency=low

  * New upstream.
  * Move to Standards-Version: 3.8.4. 
  * Now in Source format 3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Apr 2010 10:52:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: cdbs, debhelper (>> 7), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://www.unidata.ucar.edu/software/udunits/
 
 Package: libudunits2-0

## udunits 2.1.23

=== debian/changelog ===
udunits (2.1.23-4) unstable; urgency=low

  * Standards-Version: 3.9.4
  * debhelper version 9, Add dependency on 9 now.
  * Pass LDFLAGS properly, to enable hardening.
  * Remove M-A: same from -dev package. Closes: #706168.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 May 2013 09:10:22 +0100

udunits (2.1.23-3) unstable; urgency=low

  * ld-as-needed patch not robust. Use new dh_autoreconf --as-needed
    method. Closes: #652223* 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Dec 2011 12:03:35 +0000

udunits (2.1.23-2) unstable; urgency=low

  * Move to debhelper >> 7, from cdbs.
  * Add LDFLAGS=" -Wl,--as-needed" to remove unnecessary dependencies.
    Include patch to fix libtool reordering.
  * Multiarch support. 
  * Docs: Add BACKLOG to docs; ship less docs in library, but all docs
    in -dev and -bin packages. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Sep 2011 10:04:53 +0100

udunits (2.1.23-1) unstable; urgency=low

  * New upstream release. Library version number 0.0.0 -> 0.1.0
  * Move Standards-Version: 3.9.2 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Jun 2011 04:56:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: cdbs, debhelper (>> 7), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 9), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive, , dh-autoreconf (>= 4~)
+Standards-Version: 3.9.4
 Homepage: http://www.unidata.ucar.edu/software/udunits/
 
 Package: libudunits2-0
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
 Description: Library for handling of units of physical quantities
  The UDUNITS package supports units of physical quantities (e.g., meters, 
@@ -34,6 +36,7 @@
 Package: udunits-bin
 Section: utils
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
 Description: Utility for handling units of physical quantities
  udunits is a utility  for handling units of physical quantities. It supports

=== debian/rules ===
#!/usr/bin/make -f


# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
PKGLIBDIR:=debian/libudunits2-0/usr/lib/$(DEB_HOST_MULTIARCH)
DEVLIBDIR:=debian/libudunits2-dev/usr/lib/$(DEB_HOST_MULTIARCH)

# magic debhelper rule
%:
	dh $@  --with autoreconf

override_dh_autoreconf:
	libtoolize -c -f
	dh_autoreconf --as-needed

override_dh_auto_configure:
	LDFLAGS=" -Wl,--as-needed $(LDFLAGS)" dh_auto_configure -- --datarootdir=/usr/share/xml

override_dh_auto_install:
	dh_auto_install
	dh_installchangelogs CHANGE_LOG
	$(MAKE) pdf html info
	cp udunits2.info debian/libudunits2-0/usr/share/info
	cp prog/*info debian/udunits-bin/usr/share/info
	mkdir -p $(DEVLIBDIR)/pkgconfig
	cp $(LIBDIR)/*.a $(DEVLIBDIR)
	cp $(LIBDIR)/pkgconfig/* $(DEVLIBDIR)/pkgconfig
	# hacks because dh_links doesn't do multiarch yet
	dh_link -p libudunits2-dev  /usr/lib/$(DEB_HOST_MULTIARCH)/libudunits2.so.0.1.0   /usr/lib/$(DEB_HOST_MULTIARCH)/libudunits2.so
	dh_link -p libudunits2-0    /usr/lib/$(DEB_HOST_MULTIARCH)/libudunits2.so.0.1.0   /usr/lib/$(DEB_HOST_MULTIARCH)/libudunits2.so.0

## udunits 2.2.0

=== CMakeLists.txt ===
PROJECT (udunits C)

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

SET(VERSION_MAJOR 2)
SET(VERSION_MINOR 2)
SET(VERSION_PATCH 0)

# Ensure a path in the format common to both Unix and MinGW.
FUNCTION(to_common_path input result)
    FILE(TO_NATIVE_PATH ${input} tmp)
    STRING(REGEX REPLACE "^(.):" "/\\1" tmp ${tmp})
    SET(${result} ${tmp} PARENT_SCOPE)
ENDFUNCTION(to_common_path)

# Ensures a path in the native format.
#FUNCTION(to_native_path input result)
#    FILE(TO_NATIVE_PATH ${input} tmp)
#    IF (WIN32 AND NOT UNIX)
#        STRING(REGEX REPLACE "/" "\\\\" tmp "${tmp}")
#    ENDIF()
#    SET(${result} "${tmp}" PARENT_SCOPE)
#ENDFUNCTION(to_native_path)

#FILE(TO_NATIVE_PATH "${CMAKE_INSTALL_PREFIX}/share/udunits/udunits2.xml"
#    DEFAULT_UDUNITS2_XML_PATH)
FILE(TO_NATIVE_PATH "${CMAKE_INSTALL_PREFIX}/share/udunits/udunits2.xml" tmp)
#MESSAGE("tmp = \"${tmp}\"")
STRING(REGEX REPLACE "\\\\ " " " tmp "${tmp}")
#MESSAGE("tmp = \"${tmp}\"")
#STRING(REGEX REPLACE "\\\\" "\\\\\\\\" DEFAULT_UDUNITS2_XML_PATH "${tmp}")
SET(DEFAULT_UDUNITS2_XML_PATH "${tmp}")
MESSAGE("DEFAULT_UDUNITS2_XML_PATH = \"${DEFAULT_UDUNITS2_XML_PATH}\"")

INCLUDE(CheckFunctionExists)
INCLUDE(CTest)
# The following fails on Gilda:
#INCLUDE(GNUInstallDirs)
# Hence:
SET(CMAKE_INSTALL_INFODIR share/info)
SET(CMAKE_INSTALL_DOCDIR share/doc/udunits)

OPTION(BUILD_SHARED_LIBS "Whether or not to build a shared library" "ON")

to_common_path(${CMAKE_SOURCE_DIR} common_source_dir)
to_common_path(${CMAKE_INSTALL_INFODIR} common_install_infodir)

# Determines if the top-level info(1)-file, "dir", should be modified.
find_program(INSTALL_INFO install-info)
IF (NOT INSTALL_INFO)
    MESSAGE("install-info(1) not found. Top-level info(1)-file will not be modified.")
ELSE()
    EXECUTE_PROCESS(COMMAND ${INSTALL_INFO} --version OUTPUT_QUIET
            RESULT_VARIABLE status)
    IF(NOT status EQUAL "0")
        MESSAGE("install-info(1) failure. Top-level info(1)-file will not be modified.")
        SET(INSTALL_INFO "NO")
    ELSE()
        EXECUTE_PROCESS(COMMAND ${INSTALL_INFO} --version COMMAND head -1
            COMMAND grep -q -i -v debian RESULT_VARIABLE status)
        IF(NOT status EQUAL "0")
            MESSAGE("Debian system. Top-level info(1)-file will not be modified.")
            SET(INSTALL_INFO "NO")
        ENDIF()
    ENDIF()
ENDIF()

# Declares documentation in texinfo(5) format. If "input" is relative, then it's
# resolved using the current source-directory. A custom target is derived from
# the filename and added to the default build target. The resulting
# documentation files are added to the "install" target.
find_program(MAKEINFO makeinfo)
IF (NOT MAKEINFO)
    MESSAGE(WARNING "makeinfo(1) not found. Existing documentation will be used.")
ENDIF()
FUNCTION(texi_doc input)
    string(REGEX REPLACE ".*/" "" basename ${input})
    string(REGEX REPLACE "\\..*" "" file ${basename})
    to_common_path(${input} common_input)
    IF (NOT MAKEINFO)
        MESSAGE("Texinfo-file \"${common_input}\" will not be processed.")
    ELSE()
        add_custom_command(
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
            OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/${file}.info"
                "${CMAKE_CURRENT_SOURCE_DIR}/${file}.html"
            MAIN_DEPENDENCY ${input}
            DEPENDS ${ARGN}
            COMMAND ${MAKEINFO} -o ${file}.info -I ${common_source_dir}
                ${common_input}
            COMMAND ${MAKEINFO} -o ${file}.html -I ${common_source_dir} 
                --html --no-split ${common_input}
            VERBATIM
            COMMENT "Creating documentation from ${common_input}")
    ENDIF()
    add_custom_target(${file}_doc ALL
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${file}.info
            ${CMAKE_CURRENT_SOURCE_DIR}/${file}.html)
    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/${file}.info" DESTINATION
            ${CMAKE_INSTALL_INFODIR})
    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/${file}.html" DESTINATION
            ${CMAKE_INSTALL_DOCDIR})
    if(INSTALL_INFO)
        SET(outpath "${common_install_infodir}/${file}.info")
        add_custom_command(
            OUTPUT "${CMAKE_INSTALL_INFODIR}/dir"
            MAIN_DEPENDENCY "${outpath}"
            COMMAND ${INSTALL_INFO} --info-dir="${common_install_infodir}"
                "${outpath}"
            VERBATIM
            COMMENT "Adjusting top-level info(1)-file according to ${outpath}")
    endif()
ENDFUNCTION(texi_doc)

# This package uses math functions
CHECK_FUNCTION_EXISTS(log10 HAVE_LOG10)
IF (NOT HAVE_LOG10)
    FIND_LIBRARY(MATH_LIBRARY NAMES m math)
    IF(NOT MATH_LIBRARY)
        MESSAGE(FATAL_ERROR "Unable to find a C math library.")
    ENDIF()
ENDIF()

# The EXPAT library, which implements a SAX XML parser, is used to parse the
# units database
INCLUDE(FindEXPAT)
IF(NOT EXPAT_FOUND)
    MESSAGE(FATAL_ERROR "Unable to find an EXPAT library.")
    IF(NOT EXPAT_INCLUDE_DIRS)
        MESSAGE(FATAL_ERROR "Unable to find an EXPAT header-file.")
    ENDIF()
ENDIF()

# The CUnit library is used for unit-testing
FIND_LIBRARY(CUNIT_LIBRARY cunit)
IF(CUNIT_LIBRARY)
    FIND_PATH(CUNIT_INCLUDE_DIR "CUnit/CUnit.h")
    IF (NOT CUNIT_INCLUDE_DIR)
        MESSAGE(STATUS "Unable to find CUnit header-file. Unit-testing not enabled.")
    ELSE()
        MESSAGE(STATUS "Found CUnit. Unit-testing enabled.")
        ENABLE_TESTING()
    ENDIF()
ELSE()
    MESSAGE(STATUS "Unable to find CUnit library. Unit-testing not enabled.")
ENDIF()

CONFIGURE_FILE(
    "${PROJECT_SOURCE_DIR}/config.h.cmake"
    "${PROJECT_BINARY_DIR}/config.h")
# Necessary for the compiler to find "config.h":
INCLUDE_DIRECTORIES("${PROJECT_BINARY_DIR}")

ADD_SUBDIRECTORY (lib)
ADD_SUBDIRECTORY (prog)

# The documentation is in texinfo(5) format
texi_doc(udunits2.texi version.texi COPYRIGHT)

# Install CHANGE_LOG and COPYRIGHT
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/CHANGE_LOG" DESTINATION
            ${CMAKE_INSTALL_DOCDIR})
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/COPYRIGHT" DESTINATION
            ${CMAKE_INSTALL_DOCDIR})

# Test the installation
SET(util "${CMAKE_INSTALL_PREFIX}/bin/udunits2")
IF(WIN32)
    STRING(REGEX REPLACE "/" "\\\\" util "${util}")
ENDIF()
#MESSAGE("util = \"${util}\"")
ADD_CUSTOM_TARGET(install_test "${util}" -A -H km -W m
    COMMENT "Checking installation...")

# Create an installer
INCLUDE(InstallRequiredSystemLibraries)
# Apparently, CMAKE_SYSTEM_PROCESSOR can't be overridden via the "-D..." option.
IF (WIN32)
    SET(CPACK_GENERATOR "NSIS")
    GET_FILENAME_COMPONENT(CPACK_NSIS_INSTALL_ROOT "${CMAKE_INSTALL_PREFIX}" PATH)
    GET_FILENAME_COMPONENT(CPACK_PACKAGE_INSTALL_DIRECTORY "${CMAKE_INSTALL_PREFIX}" NAME)
    STRING(REGEX REPLACE "/" "\\\\" CPACK_PACKAGE_INSTALL_DIRECTORY
        "${CPACK_PACKAGE_INSTALL_DIRECTORY}")
    SET(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} UDUNITS-2")
    SET(CPACK_NSIS_HELP_LINK "http://www.unidata.ucar.edu/software/udunits")
    SET(CPACK_NSIS_MODIFY_PATH ON)
    SET(CPACK_NSIS_URL_INFO_ABOUT "${CPACK_NSIS_HELP_LINK }")
#   # There is a bug in NSI that does not handle full unix paths properly. Make
#   # sure there is at least one set of four (4) backslashes.
#   SET(CPACK_PACKAGE_ICON "${CMake_SOURCE_DIR}/Utilities/Release\\\\InstallIcon.bmp")
#   SET(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
ENDIF()
SET(CPACK_DEBIAN_PACKAGE_DEPENDS "expat, libexpat-dev")
SET(CPACK_PACKAGE_CONTACT "support-udunits@unidata.ucar.edu")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Units of physical quantities C library and utility")
SET(CPACK_PACKAGE_EXECUTABLES "udunits2;udunits2")
SET(CPACK_PACKAGE_VENDOR "University Corporation for Atmospheric Research")
SET(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
SET(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
SET(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYRIGHT")
# The following line is necessary for installing to anything other than "/usr"
SET(CPACK_SET_DESTDIR "ON")
SET(CPACK_PACKAGE_RELOCATABLE "ON")
SET(CPACK_SOURCE_GENERATOR "TGZ;ZIP")
SET(CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};config\\\\.h$;/xmlFailures/;/xmlSuccesses/;/m4/;/\\\\.gradle/;\\\\.git;Makefile$")
SET(CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};Makefile\\\\.in;\\\\.log$;config\\\\.status;\\\\.cproject;\\\\.project")
SET(CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/autom4te\\\\.cache/;/test/;/\\\\.deps/;/\\\\.vagrant/;~$;so_locations;\\\\.swp$")
SET(CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};\\\\.metadata/;/CMakeFiles/;/build/")
SET(CPACK_SOURCE_STRIP_FILES "")
SET(CPACK_STRIP_FILES "bin/udunits2")
INCLUDE(CPack)
#include(UseRPMTools)
#    if(RPMTools_ADD_RPM_TARGETS("udunits"))
#endif()

=== lib/CMakeLists.txt ===
INCLUDE_DIRECTORIES("." "${CMAKE_BINARY_DIR}")
INCLUDE_DIRECTORIES("${EXPAT_INCLUDE_DIRS}")
IF (CUNIT_INCLUDE_DIR)
    INCLUDE_DIRECTORIES("${CUNIT_INCLUDE_DIR}")
ENDIF()

# Ensure that the C source-files for the scanner and parser are up-to-date
# on a Unix system.
if (UNIX)
    add_custom_command(
        OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/scanner.c
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        COMMAND flex -d -Put -o scanner.c scanner.l
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/scanner.l)
    add_custom_command(
        OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/parser.c
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        COMMAND bison -t -p ut -o parser.c parser.y
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/parser.y)
    set_source_files_properties(parser.c
        PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/scanner.c)
endif()

add_library(libudunits2
    converter.c 
    error.c
    formatter.c
    idToUnitMap.c 
    parser.c
    prefix.c
    status.c
    systemMap.c 
    unitAndId.c 
    unitcore.c 
    unitToIdMap.c 
    ut_free_system.c
    xml.c)
set_target_properties(libudunits2 PROPERTIES LIBRARY_OUTPUT_NAME udunits2)
set_target_properties(libudunits2 PROPERTIES ARCHIVE_OUTPUT_NAME udunits2)
set_target_properties(libudunits2 PROPERTIES RUNTIME_OUTPUT_NAME udunits2)
target_link_libraries(libudunits2 ${EXPAT_LIBRARIES})

if (CUNIT_LIBRARY)
    add_executable(testUnits testUnits.c)
    target_link_libraries (testUnits libudunits2)
    target_link_libraries (testUnits ${EXPAT_LIBRARY})
    target_link_libraries (testUnits ${CUNIT_LIBRARY})
    target_link_libraries (testUnits ${MATH_LIBRARY})
    add_test(
        NAME testUnits
        COMMAND testUnits ${CMAKE_CURRENT_SOURCE_DIR}/udunits2.xml)
endif()

# The documentation is in multiple texinfo(5) format files
texi_doc(udunits2lib.texi ${CMAKE_SOURCE_DIR}/COPYRIGHT)
    
install(TARGETS libudunits2
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin)
install(FILES udunits2.h DESTINATION include)
install(FILES
        udunits2.xml
        udunits2-accepted.xml
        udunits2-base.xml
        udunits2-common.xml
        udunits2-derived.xml
        udunits2-prefixes.xml
    DESTINATION share/udunits)

=== prog/CMakeLists.txt ===
include_directories ("${PROJECT_SOURCE_DIR}/lib")

link_directories(${PROJECT_BINARY_DIR}/lib)

add_executable(udunits2 udunits2.c)

target_link_libraries(udunits2 libudunits2)
target_link_libraries(udunits2 ${EXPAT_LIBRARY})
target_link_libraries(udunits2 ${MATH_LIBRARY})
set_target_properties(udunits2 PROPERTIES
    INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib"
    INSTALL_RPATH_USE_LINK_PATH "TRUE")

# The documentation is in multiple texinfo(5) format files
texi_doc(udunits2prog.texi ${CMAKE_SOURCE_DIR}/COPYRIGHT)

install(TARGETS udunits2 DESTINATION bin)

=== debian/changelog ===
udunits (2.2.0-1) unstable; urgency=medium

  * New upstream release. Refresth pkg-config patch.
  * Standards-Version: 3.9.5
  * config_fixes.patch needed for autoreconf to work

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 31 Dec 2013 00:20:27 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 9), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive, , dh-autoreconf (>= 4~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.unidata.ucar.edu/software/udunits/
 
 Package: libudunits2-0

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 
 # Uncomment this to turn on verbose mode.
-# export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
@@ -14,7 +14,6 @@
 	dh $@  --with autoreconf
 
 override_dh_autoreconf:
-	libtoolize -c -f
 	dh_autoreconf --as-needed
 
 override_dh_auto_configure:

## udunits 2.2.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SET(VERSION_MAJOR 2)
 SET(VERSION_MINOR 2)
-SET(VERSION_PATCH 0)
+SET(VERSION_PATCH 14)
 
 # Ensure a path in the format common to both Unix and MinGW.
 FUNCTION(to_common_path input result)
@@ -184,7 +184,7 @@
     SET(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} UDUNITS-2")
     SET(CPACK_NSIS_HELP_LINK "http://www.unidata.ucar.edu/software/udunits")
     SET(CPACK_NSIS_MODIFY_PATH ON)
-    SET(CPACK_NSIS_URL_INFO_ABOUT "${CPACK_NSIS_HELP_LINK }")
+    SET(CPACK_NSIS_URL_INFO_ABOUT "${CPACK_NSIS_HELP_LINK}")
 #   # There is a bug in NSI that does not handle full unix paths properly. Make
 #   # sure there is at least one set of four (4) backslashes.
 #   SET(CPACK_PACKAGE_ICON "${CMake_SOURCE_DIR}/Utilities/Release\\\\InstallIcon.bmp")

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -39,13 +39,12 @@
 set_target_properties(libudunits2 PROPERTIES ARCHIVE_OUTPUT_NAME udunits2)
 set_target_properties(libudunits2 PROPERTIES RUNTIME_OUTPUT_NAME udunits2)
 target_link_libraries(libudunits2 ${EXPAT_LIBRARIES})
+target_link_libraries(libudunits2 ${MATH_LIBRARY})
 
 if (CUNIT_LIBRARY)
     add_executable(testUnits testUnits.c)
     target_link_libraries (testUnits libudunits2)
-    target_link_libraries (testUnits ${EXPAT_LIBRARY})
     target_link_libraries (testUnits ${CUNIT_LIBRARY})
-    target_link_libraries (testUnits ${MATH_LIBRARY})
     add_test(
         NAME testUnits
         COMMAND testUnits ${CMAKE_CURRENT_SOURCE_DIR}/udunits2.xml)
@@ -58,7 +57,7 @@
     ARCHIVE DESTINATION lib
     LIBRARY DESTINATION lib
     RUNTIME DESTINATION bin)
-install(FILES udunits2.h DESTINATION include)
+install(FILES udunits2.h converter.h DESTINATION include)
 install(FILES
         udunits2.xml
         udunits2-accepted.xml

=== prog/CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,6 @@
 add_executable(udunits2 udunits2.c)
 
 target_link_libraries(udunits2 libudunits2)
-target_link_libraries(udunits2 ${EXPAT_LIBRARY})
-target_link_libraries(udunits2 ${MATH_LIBRARY})
 set_target_properties(udunits2 PROPERTIES
     INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib"
     INSTALL_RPATH_USE_LINK_PATH "TRUE")

=== debian/changelog ===
udunits (2.2.14-1) unstable; urgency=medium

  * New upstream release.
  * Add symbols file for libudunits2-0
  * Add symbol versioning to libudunits2-0.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Jun 2014 21:06:48 +0100

udunits (2.2.11-1) unstable; urgency=medium

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 May 2014 18:44:14 +0100

udunits (2.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Now use 'xz' compression.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Mar 2014 13:10:40 +0000

## udunits 2.2.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SET(VERSION_MAJOR 2)
 SET(VERSION_MINOR 2)
-SET(VERSION_PATCH 14)
+SET(VERSION_PATCH 17)
 
 # Ensure a path in the format common to both Unix and MinGW.
 FUNCTION(to_common_path input result)
@@ -12,6 +12,32 @@
     STRING(REGEX REPLACE "^(.):" "/\\1" tmp ${tmp})
     SET(${result} ${tmp} PARENT_SCOPE)
 ENDFUNCTION(to_common_path)
+
+
+INCLUDE(GenerateExportHeader)
+OPTION(BUILD_SHARED_LIBS "Whether or not to build a shared library" ON)
+IF(BUILD_SHARED_LIBS)
+    SET(CMAKE_POSITION_INDEPENDENT_CODE ON)
+ENDIF()
+
+# A little bit of Windows/Visual Studio housekeeping.
+IF(MSVC)
+    # Set a property used with Visual Studio
+    SET(GLOBAL PROPERTY USE_FOLDERS ON)
+
+    # Suppress CRT warnings.
+    ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
+
+    OPTION(ENABLE_DLL "Build a Windows DLL." ${BUILD_SHARED_LIBS})
+    MESSAGE(STATUS "Building Windows DLL: ${ENABLE_DLL}")
+    IF(ENABLE_DLL)
+       SET(BUILD_DLL ON CACHE BOOL "")
+       ADD_DEFINITIONS(-DDLL_UDUNITS2)
+       ADD_DEFINITIONS(-DDLL_EXPORT)
+    ENDIF()
+
+ENDIF()
+
 
 # Ensures a path in the native format.
 #FUNCTION(to_native_path input result)
@@ -26,9 +52,16 @@
 #    DEFAULT_UDUNITS2_XML_PATH)
 FILE(TO_NATIVE_PATH "${CMAKE_INSTALL_PREFIX}/share/udunits/udunits2.xml" tmp)
 #MESSAGE("tmp = \"${tmp}\"")
+
 STRING(REGEX REPLACE "\\\\ " " " tmp "${tmp}")
 #MESSAGE("tmp = \"${tmp}\"")
 #STRING(REGEX REPLACE "\\\\" "\\\\\\\\" DEFAULT_UDUNITS2_XML_PATH "${tmp}")
+
+# Replace '\' with '\\' on Windows.
+IF(MSVC)
+    STRING(REPLACE "\\" "\\\\" tmp "${tmp}")
+ENDIF(MSVC)
+
 SET(DEFAULT_UDUNITS2_XML_PATH "${tmp}")
 MESSAGE("DEFAULT_UDUNITS2_XML_PATH = \"${DEFAULT_UDUNITS2_XML_PATH}\"")
 
@@ -40,7 +73,7 @@
 SET(CMAKE_INSTALL_INFODIR share/info)
 SET(CMAKE_INSTALL_DOCDIR share/doc/udunits)
 
-OPTION(BUILD_SHARED_LIBS "Whether or not to build a shared library" "ON")
+
 
 to_common_path(${CMAKE_SOURCE_DIR} common_source_dir)
 to_common_path(${CMAKE_INSTALL_INFODIR} common_install_infodir)
@@ -152,6 +185,13 @@
 INCLUDE_DIRECTORIES("${PROJECT_BINARY_DIR}")
 
 ADD_SUBDIRECTORY (lib)
+
+# Import symbols instead of export them.
+IF(BUILD_DLL)
+    REMOVE_DEFINITIONS(-DDLL_EXPORT)
+ENDIF()
+
+
 ADD_SUBDIRECTORY (prog)
 
 # The documentation is in texinfo(5) format

=== debian/changelog ===
udunits (2.2.17-1) UNRELEASED; urgency=medium

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Sep 2014 11:59:23 +0100

## udunits 2.2.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SET(VERSION_MAJOR 2)
 SET(VERSION_MINOR 2)
-SET(VERSION_PATCH 17)
+SET(VERSION_PATCH 19)
 
 # Ensure a path in the format common to both Unix and MinGW.
 FUNCTION(to_common_path input result)

=== debian/changelog ===
udunits (2.2.19-1) unstable; urgency=medium

  * New upstream release. 
  * Standards-Version: 3.9.6 
  * Add Vcs-Git: to debian/control 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Jun 2015 10:07:51 +0100

udunits (2.2.17-1) unstable; urgency=medium

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Sep 2014 11:59:23 +0100

## udunits 2.2.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SET(VERSION_MAJOR 2)
 SET(VERSION_MINOR 2)
-SET(VERSION_PATCH 19)
+SET(VERSION_PATCH 20)
 
 # Ensure a path in the format common to both Unix and MinGW.
 FUNCTION(to_common_path input result)
@@ -38,6 +38,49 @@
 
 ENDIF()
 
+##
+# Configuration for post-install RPath
+# Adapted from http://www.cmake.org/Wiki/CMake_RPATH_handling
+##
+IF(NOT MSVC)
+  # use, i.e. don't skip the full RPATH for the build tree
+  SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
+
+  # when building, don't use the install RPATH already
+  # (but later on when installing)
+  SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
+
+  if(APPLE)
+    set(CMAKE_MACOSX_RPATH ON)
+  endif(APPLE)
+
+  # add the automatically determined parts of the RPATH
+  # which point to directories outside the build tree to the install RPATH
+  SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+
+  # the RPATH to be used when installing,
+  # but only if it's not a system directory
+  LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" isSystemDir)
+  IF("${isSystemDir}" STREQUAL "-1")
+    SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
+  ENDIF("${isSystemDir}" STREQUAL "-1")
+
+ENDIF()
+
+##
+# End configuration for post-install RPath
+##
+
+
+###
+# Fix to make sure we don't try to include unistd.h
+# when using Visual Studio.
+###
+INCLUDE(${CMAKE_ROOT}/Modules/CheckIncludeFile.cmake)
+CHECK_INCLUDE_FILE("unistd.h" HAVE_UNISTD_H)
+IF(NOT HAVE_UNISTD_H)
+  SET(YY_NO_UNISTD_H TRUE)
+ENDIF()
 
 # Ensures a path in the native format.
 #FUNCTION(to_native_path input result)
@@ -121,7 +164,7 @@
             DEPENDS ${ARGN}
             COMMAND ${MAKEINFO} -o ${file}.info -I ${common_source_dir}
                 ${common_input}
-            COMMAND ${MAKEINFO} -o ${file}.html -I ${common_source_dir} 
+            COMMAND ${MAKEINFO} -o ${file}.html -I ${common_source_dir}
                 --html --no-split ${common_input}
             VERBATIM
             COMMENT "Creating documentation from ${common_input}")

=== prog/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,29 @@
 include_directories ("${PROJECT_SOURCE_DIR}/lib")
+
+IF(BUILD_SHARED_LIBS AND MSVC)
+ REMOVE_DEFINITIONS(-DDLL_EXPORT)
+ REMOVE_DEFINITIONS(-DDLL_UDUNITS2)
+ENDIF()
+
 
 link_directories(${PROJECT_BINARY_DIR}/lib)
 
-add_executable(udunits2 udunits2.c)
+set(udunits2_SRC udunits2.c)
+
+# We need to implement our own getopt if using Visual Studio.
+IF(MSVC)
+   set(udunits2_SRC ${udunits2_SRC} XGetOpt.c XGetOpt.h)
+ENDIF()
+
+
+add_executable(udunits2 ${udunits2_SRC})
 
 target_link_libraries(udunits2 libudunits2)
+IF(MSVC)
+    SET_TARGET_PROPERTIES(udunits2 PROPERTIES LINK_FLAGS_DEBUG
+    " /NODEFAULTLIB:MSVCRT"
+    )
+ENDIF()
 set_target_properties(udunits2 PROPERTIES
     INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib"
     INSTALL_RPATH_USE_LINK_PATH "TRUE")

=== debian/changelog ===
udunits (2.2.20-1) unstable; urgency=medium

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 29 Oct 2015 03:49:40 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 9), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive, , dh-autoreconf (>= 4~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.unidata.ucar.edu/software/udunits/
+Vcs-Git: git://git.debian.org/git/debian-science/packages/udunits.git/
 
 Package: libudunits2-0
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,13 @@
 
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 PKGLIBDIR:=debian/libudunits2-0/usr/lib/$(DEB_HOST_MULTIARCH)
 DEVLIBDIR:=debian/libudunits2-dev/usr/lib/$(DEB_HOST_MULTIARCH)
+VERFILE:=$(shell pwd)/debian/udunits2.ver
 
 # magic debhelper rule
 %:
@@ -17,7 +18,8 @@
 	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
-	LDFLAGS=" -Wl,--as-needed $(LDFLAGS)" dh_auto_configure -- --datarootdir=/usr/share/xml
+	LDFLAGS=" -Wl,--as-needed -Wl,--version-script,${VERFILE} $(LDFLAGS)" \
+			dh_auto_configure -- --datarootdir=/usr/share/xml
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# This the format for an FTP site:
# Full-site-with-pattern  [Version  [Action]]
ftp://ftp.unidata.ucar.edu/pub/udunits/udunits-(.*)\.tar\.Z  debian  uupdate

## udunits 2.2.25

=== debian/changelog ===
udunits (2.2.25-1) unstable; urgency=medium

  * New upstream release
  * DH_COMPAT now 10
  * Standards-Version: 4.0.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Jul 2017 10:27:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive, , dh-autoreconf (>= 4~)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive, , dh-autoreconf (>= 4~)
+Standards-Version: 4.0.0
 Homepage: http://www.unidata.ucar.edu/software/udunits/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/udunits.git/

## udunits 2.2.26

=== debian/changelog ===
udunits (2.2.26-5) unstable; urgency=medium

  * Fix FTBFS on dpkg-buildpackage -A. Closes: #901118.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Jun 2018 10:05:18 +0100

udunits (2.2.26-4) unstable; urgency=medium

  * Drop unnecessary B-D on gfortran
  * Standards-Version: 4.1.4; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 May 2018 10:31:01 +0100

udunits (2.2.26-3) unstable; urgency=medium

  * Add Breaks/Replaces because of files moved. Closes: #892048

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Mar 2018 17:28:06 +0000

udunits (2.2.26-2) unstable; urgency=medium

  * Set VCS references to salsa.debian.org
  * Set libudunits-dev as M-A: same
  * Install all info files in -bin package, not lib; Closes: #873234

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Mar 2018 10:50:14 +0000

udunits (2.2.26-1) unstable; urgency=medium

  * New upstream release
  * Drop redundant B-D on libcunit1
  * Drop redundant bits of d/rules now DH_COMPAT=10
  * Standards-Version: 4.1.3
  * Use secure URLs in homepage, VCS-Git in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2018 12:08:18 +0000

udunits (2.2.25-2) unstable; urgency=medium

  * Split udunits shared data from libudunits2-0 library package to make
    it safely M-A: same

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Aug 2017 10:15:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,22 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 10), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive, , dh-autoreconf (>= 4~)
-Standards-Version: 4.0.0
-Homepage: http://www.unidata.ucar.edu/software/udunits/
-Vcs-Git: git://git.debian.org/git/debian-science/packages/udunits.git/
+Build-Depends: debhelper (>= 10), 
+ libexpat-dev, 
+ libcunit1-dev, 
+ texinfo, 
+ libtool, 
+ texlive 
+Standards-Version: 4.1.4
+Homepage: https://www.unidata.ucar.edu/software/udunits/
+Vcs-Browser: https://salsa.debian.org:/science-team/udunits.git
+Vcs-Git: https://salsa.debian.org:/science-team/udunits.git
 
 Package: libudunits2-0
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
+Depends: libudunits2-data, ${misc:Depends}, ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
 Description: Library for handling of units of physical quantities
  The UDUNITS package supports units of physical quantities (e.g., meters, 
  seconds).  Specifically, it supports conversion between string and binary 
@@ -20,8 +25,24 @@
  numeric values between compatible units. The package is written in the 
  C programming language.
 
+Package: libudunits2-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Breaks: libudunits2-0 (<= 2.2.25-1)
+Replaces: libudunits2-0 (<= 2.2.25-1)
+Description: Data for handling of units of physical quantities
+ The UDUNITS package supports units of physical quantities (e.g., meters, 
+ seconds).  Specifically, it supports conversion between string and binary 
+ representations of units, arithmetic manipulation of units, and conversion of 
+ numeric values between compatible units. The package is written in the 
+ C programming language.
+ .
+ This package provides the data files used by the library.
+
 Package: libudunits2-dev
 Section: libdevel
+Multi-Arch: same
 Architecture: any
 Depends: libudunits2-0 ( = ${binary:Version}), ${misc:Depends}
 Recommends: pkg-config
@@ -38,6 +59,8 @@
 Section: utils
 Architecture: any
 Multi-Arch: foreign
+Breaks: libudunits2-0 (<= 2.2.26-2)
+Replaces: libudunits2-0 (<= 2.2.26-2)
 Depends: ${misc:Depends}, ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
 Description: Utility for handling units of physical quantities
  udunits is a utility  for handling units of physical quantities. It supports

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,7 @@
 
 # magic debhelper rule
 %:
-	dh $@  --with autoreconf
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+	dh $@  
 
 override_dh_auto_configure:
 	LDFLAGS=" -Wl,--as-needed -Wl,--version-script,${VERFILE} $(LDFLAGS)" \
@@ -25,8 +22,9 @@
 	dh_auto_install
 	dh_installchangelogs CHANGE_LOG
 	$(MAKE) pdf html info
-	cp udunits2.info debian/libudunits2-0/usr/share/info
-	cp prog/*info debian/udunits-bin/usr/share/info
+	[ -e debian/udunits-bin ] && ( \
+		cp udunits2.info debian/udunits-bin/usr/share/info ; \
+		cp prog/*info debian/udunits-bin/usr/share/info ) || true
 	mkdir -p $(DEVLIBDIR)/pkgconfig
 	cp $(LIBDIR)/*.a $(DEVLIBDIR)
 	cp $(LIBDIR)/pkgconfig/* $(DEVLIBDIR)/pkgconfig
